SQ-KEYRING-FILTER(1)

NAME
sq-keyring-filter - Joins keys into a keyring applying a filter

This can be used to filter keys based on given predicates, e.g. whether they have a user id containing an email address with a certain domain. Additionally, the keys can be pruned to only include components matching the predicates.

If no filters are supplied, everything matches.

If multiple predicates are given, they are or'ed, i.e. a key matches if any of the predicates match. To require all predicates to match, chain multiple invocations of this command. See EXAMPLES for inspiration.

SYNOPSIS
sq keyring filter [FLAGS] [OPTIONS] [--] [FILE]

FLAGS

-h, --help
    Prints help information

-P, --prune-certs
    Removes certificate components not matching the filter

-B, --binary
    Emits binary data

--to-cert
    Converts any keys in the input to certificates. Converting a key to a certificate removes secret key material from the key thereby turning it into a certificate.

OPTIONS

-o, --output FILE
    Writes to FILE or stdout if omitted

--name NAME
    Matches on NAME

--email ADDRESS
    Matches on email ADDRESS

--domain FQDN
    Matches on email domain FQDN

ARGS

FILE
    Reads from FILE or stdin if omitted

EXAMPLES

# Converts a key to a cert (i.e., remove any secret key material)
    $ sq keyring filter --to-cert cat juliet.pgp

# Gets the keys with a user id on example.org
    $ sq keyring filter --domain example.org keys.pgp

# Gets the keys with a user id on example.org or example.net
    $ sq keyring filter --domain example.org --domain example.net keys.pgp

# Gets the keys with a user id with the name Juliet
    $ sq keyring filter --name Juliet keys.pgp

# Gets the keys with a user id with the name Juliet on example.org
    $ sq keyring filter --domain example.org keys.pgp | keyring filter --name Juliet

# Gets the keys with a user id on example.org, pruning other userids
    $ sq keyring filter --domain example.org --prune-certs certs.pgp

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-key-adopt(1), sq-key-attest-certifications(1), sq-key-extract-cert(1), sq-key-generate(1), sq-keyring(1), sq-keyring-filter(1), sq-keyring-join(1), sq-keyring-list(1), sq-keyring-merge(1), sq-keyring-split(1), sq-packet(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>